1. Payouts
Asteria API DOCs
  • Getting Started
  • Webhooks
  • Auth
    • Validate & Generate Access Token
      POST
  • Collections
    • Pay via Bank Transfer
      • Get Banks
      • Generate Dynamic VIrtual Account
      • Check Payment Status
    • Cards
      • Generate Payment Advice
      • Charge Card
    • Mpesa
      • Mpesa API
  • Payouts
    • Get Bank List
      GET
    • Validate Account
      POST
    • Initiate Transfer
      POST
    • Check Payout Status
      POST
  • Account
    • Get Wallet Balance
      GET
  1. Payouts

Initiate Transfer

POST
https://dev-gateway.mydartdigital.com/payouts/initiate-transfer

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://dev-gateway.mydartdigital.com/payouts/initiate-transfer' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "reference": "2026051406590795",
    "currency": "NGN",
    "bankCode": "305",
    "accountNumber": "7063581203",
    "accountName": "JESSE TOCHUKWU UCHE",
    "amount": 100,
    "bankName": "OPAY",
    "narration": "Payment for service"
}'
Response Response Example
{
    "responseStatus": "00",
    "message": "Transfer initiated successfully",
    "data": {
        "reference": "2026051406590795",
        "accountName": "JESSE TOCHUKWU UCHE",
        "accountNumber": "7063581203",
        "amount": 100
    }
}
Modified at 2026-05-23 12:34:46
Previous
Validate Account
Next
Check Payout Status
Built with